List Adjustments
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"adjustment_type": "debit",
"recurrence_type": "fixed_cycles",
"amount": 123,
"concept": "<string>",
"start_period": "2023-12-25",
"end_period": "2023-12-25",
"total_cycles": 123,
"cycles_applied": 123,
"active": true,
"remaining_cycles": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"name": "<string>"
}
}
]Treasury Adjustments
List Adjustments
List all adjustments in a specific subscription
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
subscriptions
/
{subscription_id}
/
adjustments
List Adjustments
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/adjustments"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"adjustment_type": "debit",
"recurrence_type": "fixed_cycles",
"amount": 123,
"concept": "<string>",
"start_period": "2023-12-25",
"end_period": "2023-12-25",
"total_cycles": 123,
"cycles_applied": 123,
"active": true,
"remaining_cycles": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"name": "<string>"
}
}
]Authorizations
Path Parameters
The numeric ID of the account
The numeric ID of the subscription
Query Parameters
Filter only active adjustments when true
Available options:
true, false Response
200 - application/json
Success
Available options:
debit, credit Available options:
fixed_cycles, infinite Show child attributes
Show child attributes